X2Go Bug report logs - #104
avoid building of libxcomp1 in /usr/(local/)nx/X11

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 17 Jan 2013 00:03:02 UTC

Severity: normal

Tags: patch, pending

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#104; Package nx-libs. (Thu, 17 Jan 2013 00:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 17 Jan 2013 00:03:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: avoid building of libxcomp1 in /usr/(local/)nx/X11
Date: Thu, 17 Jan 2013 00:50:53 +0100
[Message part 1 (text/plain, inline)]
Package: nx-libs

----- Weitergeleitete Nachricht von orion@cora.nwra.com -----
     Datum: Tue, 15 Jan 2013 15:26:53 -0700
       Von: Orion Poplawski <orion@cora.nwra.com>
Antwort an: x2go-dev@lists.berlios.de
   Betreff: Re: [X2Go-Dev] nx-libs-3.5.0.17 whacky install
        An: x2go-dev@lists.berlios.de

On 01/15/2013 03:13 PM, Orion Poplawski wrote:
> On 01/07/2013 02:46 AM, Mike Gabriel wrote:
>> Hi Jan
>>
>> On So 06 Jan 2013 19:30:15 CET Jan Engelhardt wrote:
>>
>>> Why do I get two Xcomp shared libraries (Xcomp.so.1 and Xcomp.so.3) that
>>> are equal anyway?
>>>
>>> /usr/PFX/lib/nx/X11/libXcomp.so /usr/PFX/lib/nx/X11/libXcomp.so.1
>>> /usr/lib64/nx/libXcomp.a /usr/lib64/nx/libXcomp.so
>>> /usr/lib64/nx/libXcomp.so.3 /usr/lib64/nx/libXcomp.so.3.5.0 -rw-r--r-- 1
>>> abuild abuild 1200469 Jan  6 18:25 ./usr/PFX/lib/nx/X11/libXcomp.so
>>> lrwxrwxrwx 1 abuild abuild      11 Jan  6 18:25
>>> ./usr/PFX/lib/nx/X11/libXcomp.so.1 -> libXcomp.so lrwxrwxrwx 1 abuild
>>> abuild      17 Jan  6 18:20 ./usr/lib64/nx/libXcomp.so ->
>>> libXcomp.so.3.5.0 lrwxrwxrwx 1 abuild abuild      17 Jan  6 18:20
>>> ./usr/lib64/nx/libXcomp.so.3 -> libXcomp.so.3.5.0 -rw-r--r-- 1 abuild
>>> abuild 1200469 Jan  6 18:25 ./usr/lib64/nx/libXcomp.so.3.5.0
>>
>> This looks interesting. Seems like the libXcomp.so.1 file gets created
>> somewhere during the nx-X11 build. I will check on that. Not sure how to
>> solve this atm.
>
> Seems to be in ./nx-X11/lib/X11/Imakefile:
>
> $(NX_XCOMPDEPTARGET):
>         ln -s $(NX_XCOMPLIBDIR)/$(NX_XCOMPLIBNAME)
> $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME)
>         ln -s $(NX_XCOMPLIBDIR)/$(NX_XCOMPLIBNAME).1
> $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME).1
>
> clean::
>         rm -f $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME)
>         rm -f $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME).1
>
>

The attached seems to work for me.

-- 
Orion Poplawski
Technical Manager                     303-415-9701 x222
NWRA, Boulder Office                  FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                   http://www.nwra.com


----- Ende der weitergeleiteten Nachricht -----


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[nx-libs-xcomp1.patch (text/x-patch, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 12 Feb 2013 06:03:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#104; Package nx-libs. (Tue, 12 Feb 2013 07:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 12 Feb 2013 07:48:01 GMT) (full text, mbox, link).


Message #12 received at 104@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 104@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#104: avoid building of libxcomp1 in /usr/(local/)nx/X11
Date: Tue, 12 Feb 2013 08:33:07 +0100
[Message part 1 (text/plain, inline)]
tag #104 pending
thanks

Hi Orion,

On Do 17 Jan 2013 00:50:53 CET Mike Gabriel wrote:

> Package: nx-libs
>
> ----- Weitergeleitete Nachricht von orion@cora.nwra.com -----
>      Datum: Tue, 15 Jan 2013 15:26:53 -0700
>        Von: Orion Poplawski <orion@cora.nwra.com>
> Antwort an: x2go-dev@lists.berlios.de
>    Betreff: Re: [X2Go-Dev] nx-libs-3.5.0.17 whacky install
>         An: x2go-dev@lists.berlios.de
>
> On 01/15/2013 03:13 PM, Orion Poplawski wrote:
>> On 01/07/2013 02:46 AM, Mike Gabriel wrote:
>>> Hi Jan
>>>
>>> On So 06 Jan 2013 19:30:15 CET Jan Engelhardt wrote:
>>>
>>>> Why do I get two Xcomp shared libraries (Xcomp.so.1 and Xcomp.so.3) that
>>>> are equal anyway?
>>>>
>>>> /usr/PFX/lib/nx/X11/libXcomp.so /usr/PFX/lib/nx/X11/libXcomp.so.1
>>>> /usr/lib64/nx/libXcomp.a /usr/lib64/nx/libXcomp.so
>>>> /usr/lib64/nx/libXcomp.so.3 /usr/lib64/nx/libXcomp.so.3.5.0 -rw-r--r-- 1
>>>> abuild abuild 1200469 Jan  6 18:25 ./usr/PFX/lib/nx/X11/libXcomp.so
>>>> lrwxrwxrwx 1 abuild abuild      11 Jan  6 18:25
>>>> ./usr/PFX/lib/nx/X11/libXcomp.so.1 -> libXcomp.so lrwxrwxrwx 1 abuild
>>>> abuild      17 Jan  6 18:20 ./usr/lib64/nx/libXcomp.so ->
>>>> libXcomp.so.3.5.0 lrwxrwxrwx 1 abuild abuild      17 Jan  6 18:20
>>>> ./usr/lib64/nx/libXcomp.so.3 -> libXcomp.so.3.5.0 -rw-r--r-- 1 abuild
>>>> abuild 1200469 Jan  6 18:25 ./usr/lib64/nx/libXcomp.so.3.5.0
>>>
>>> This looks interesting. Seems like the libXcomp.so.1 file gets created
>>> somewhere during the nx-X11 build. I will check on that. Not sure how to
>>> solve this atm.
>>
>> Seems to be in ./nx-X11/lib/X11/Imakefile:
>>
>> $(NX_XCOMPDEPTARGET):
>>        ln -s $(NX_XCOMPLIBDIR)/$(NX_XCOMPLIBNAME)
>> $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME)
>>        ln -s $(NX_XCOMPLIBDIR)/$(NX_XCOMPLIBNAME).1
>> $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME).1
>>
>> clean::
>>        rm -f $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME)
>>        rm -f $(BUILDLIBDIR)/$(NX_XCOMPLIBNAME).1
>>
>>
>
> The attached seems to work for me.

Patch tested and applied to nx-libs.git:
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=258902bec76cc4828ab7453df7406957ce93048a

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 12 Feb 2013 07:48:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#104; Package nx-libs. (Sat, 23 Mar 2013 00:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 23 Mar 2013 00:03:01 GMT) (full text, mbox, link).


Message #19 received at 104@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 104@bugs.x2go.org, 107@bugs.x2go.org, 143@bugs.x2go.org, 145@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: The reported issue has been fixed in NX (redistributed) 3.5.0.18
Date: Sat, 23 Mar 2013 00:48:16 +0100
[Message part 1 (text/plain, inline)]
close #104
close #107
close #143
close #145
thanks

The reported issue has been fixed for release 3.5.0.18 of NX (redistributed).

light+love,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 23 Mar 2013 00:03:03 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 00:03:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 20 Apr 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Nov 13 22:56:30 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.